Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenJavaFile.MethodSignature

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenJavaFile.MethodSignature

Enclosing class:
  `JrpcgenJavaFile`

public class JrpcgenJavaFile.MethodSignature extends Object

## Constructor Summary

Constructors
Constructor
Description
`MethodSignature()`

## Method Summary

Modifier and Type
Method
Description
`JrpcgenJavaFile.MethodSignature`
`abstractMethod()`
`JrpcgenJavaFile`
`endSignature()`
`JrpcgenJavaFile.MethodSignature`
`exception(String exception)`
`JrpcgenJavaFile.MethodSignature`
`exceptions(String... exceptions)`
`JrpcgenJavaFile.MethodSignature`
`interfaceMethod()`
`JrpcgenJavaFile.MethodSignature`
`name(String name)`
`JrpcgenJavaFile.MethodSignature`
`parameter(String type, String name)`
`JrpcgenJavaFile.MethodSignature`
`parameterFinal(String type, String name)`
`JrpcgenJavaFile.MethodSignature`
`parameterLineBreak(String type, String name, int lineLengthMax)`
`JrpcgenJavaFile.MethodSignature`
`privateMethod()`
`JrpcgenJavaFile.MethodSignature`
`protectedMethod()`
`JrpcgenJavaFile.MethodSignature`
`publicMethod()`
`JrpcgenJavaFile.MethodSignature`
`resultType(String resultType)`
`JrpcgenJavaFile.MethodSignature`
`resultType(String... resultTypeFragments)`
`JrpcgenJavaFile.MethodSignature`
`staticMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodSignature

public MethodSignature()

## Method Details

### publicMethod

public JrpcgenJavaFile.MethodSignature publicMethod()

### protectedMethod

public JrpcgenJavaFile.MethodSignature protectedMethod()

### privateMethod

public JrpcgenJavaFile.MethodSignature privateMethod()

### abstractMethod

public JrpcgenJavaFile.MethodSignature abstractMethod()

### interfaceMethod

public JrpcgenJavaFile.MethodSignature interfaceMethod()

### staticMethod

public JrpcgenJavaFile.MethodSignature staticMethod()

### resultType

public JrpcgenJavaFile.MethodSignature resultType(String resultType)

### resultType

public JrpcgenJavaFile.MethodSignature resultType(String... resultTypeFragments)

### name

public JrpcgenJavaFile.MethodSignature name(String name)

### parameter

public JrpcgenJavaFile.MethodSignature parameter(String type, String name)

### parameterLineBreak

public JrpcgenJavaFile.MethodSignature parameterLineBreak(String type, String name, int lineLengthMax)

### parameterFinal

public JrpcgenJavaFile.MethodSignature parameterFinal(String type, String name)

### exception

public JrpcgenJavaFile.MethodSignature exception(String exception)

### exceptions

public JrpcgenJavaFile.MethodSignature exceptions(String... exceptions)

### endSignature

public JrpcgenJavaFile endSignature()